#include "plic_Backend1.h"
#include "plic_Backend2.h"
#include "plic_Backend3.h"
#include "plic_Writer.h"
#include "plic_Traverser.h"
#include "frontend.h"




#ifndef TRANSLATOR_H
#define TRANSLATOR_H




class xPascalliTranslator
{
 public:
  xPascalliTranslator(xNode* topnode, xString outputfilename);
  ~xPascalliTranslator(){};
 protected:
 private:
  xPascalliVisitor_firstpass    FirstPass;
  xPascalliVisitor_secondpass & SecondPass;
  xPascalliVisitor_thirdpass    ThirdPass;
  xPascalliTraverser            Traverser;
  xPascalliWriter               Writer;
};




#endif
