/*
  Generic complex program definitions
  Copyright (C) 1999  Hardy Kahl

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// ----------------------------------------------------------------------------
//  Description      : Generic complex program definitions.
// ----------------------------------------------------------------------------




#include "prgcplx.h"
#include "xstrio.h"




// xComplexProgram : ----------------------------------------------------------
xComplexProgram::xComplexProgram(void)
: xProgram<xString>()
{
}




void xComplexProgram::Read(istream &stream)
{
  xString line;

  Empty();
  while (stream >> line) operator+=(line);
  operator+=(line);
}




void xComplexProgram::Write(ostream &stream)
{
  for (TIndex i=0; i<Items; i++) stream << List[i] << endl;
}
