
/*  A Bison parser, made from pascalli_parser.yy
    by GNU Bison version 1.28  */

#define YYBISON 1  /* Identify Bison output.  */

#define	FUNCTION	257
#define	BEG	258
#define	END	259
#define	IDENTIFIER	260
#define	CONSTANT	261
#define	WHILE	262
#define	DO	263
#define	IF	264
#define	THEN	265
#define	ELSE	266
#define	FOR	267
#define	TO	268
#define	NOT	269
#define	OR	270
#define	AND	271
#define	LOWER_THAN_ELSE	272

#line 22 "pascalli_parser.yy"


#include <stdio.h>
#include <time.h>
#include <iostream.h>
#include <stdlib.h>
#include "frontend.h"
#include "symboltable.h"
#include "plic_Translator.h"
#include "base.h"
#include "xstring.h"
#include "xset.h"



int yylex();

void yyerror(char *s);

void yyerror2(char *s);

TBool used_but_not_declared();

void message_compilation_finished();

void message_abnormal_compilation();

void free_parstree();


// the TopNode
xProgramNode *TopNode;

// this variable contains the name of the function being parsed
xIdentifier *Function_Name;

// this flag is set TRUE if the function has a return-value
TBool Value_Assigned=FALSE;

int Status;


// a empty Symboltable for resetting is created
xIdentifierSet New_Symboltable;

// the Symboltable for the variables is created
xIdentifierSet Variable_Symboltable;

// the Symboltable for the array is created
xIdentifierSet Array_Symboltable;

// the Symboltable for the declared functions is created
xIdentifierSet Declared_Functions_Symboltable;

// the Symboltable for the used functions is created
xIdentifierSet Used_Functions_Symboltable;

// the the Symboltable for the local functions is created
xIdentifierSet Local_Functions_Symboltable;

// the list containing the xIdentifierList to free is created
List_Of_IdentifierLists Free_IdentifierLists;

// the list containing the xExpressionList to free is created
List_Of_ExpressionLists Free_ExpressionLists;

// the list containing the xFunctionList to free is created
List_Of_FunctionLists Free_FunctionLists;

// the list containing the xCommandList to free is created
List_Of_CommandLists Free_CommandLists;

// the list containing the xIdentifiers to free is created
List_Of_Nodes Free_Identifiers;

// the list containing the xNodes to free is created
List_Of_Nodes Free_Nodes;

TIndex Command_Counter=1;


#line 109 "pascalli_parser.yy"
typedef union
{
  char          *Key_word;
  char          *tIdentifier;
  char          *tConstant;
  xIdentifierList *tIdentifierList;
  xExpressionList *tExpressionList;
  xProgramNode  *tProgram;
  xFunction     *tFunction;
  xArray        *tArray;
  xCommandBlock *tCommandBlock;
  xCommand      *tCommand;
  xAssignment   *tAssignment;
  xIfStatement *tIf;
  xForLoop      *tFor;
  xWhile        *tWhile;
  xExpression   *tExpression;
  xCondition    *tCondition;
} YYSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		112
#define	YYFLAG		-32768
#define	YYNTBASE	34

#define YYTRANSLATE(x) ((unsigned)(x) <= 272 ? yytranslate[x] : 48)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,    33,     2,     2,     2,     2,    19,
    20,    27,    25,    22,    26,     2,    28,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,    23,    21,    31,
    24,    32,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
    29,     2,    30,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
    17,    18
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     3,     5,     6,    15,    19,    21,    25,    27,    28,
    32,    34,    35,    39,    41,    43,    45,    47,    52,    57,
    64,    69,    79,    84,    86,    88,    90,    95,   101,   107,
   113,   119,   124,   131,   138,   144,   150,   156,   162,   167,
   173
};

static const short yyrhs[] = {    34,
    35,     0,    35,     0,     0,     3,     6,    36,    19,    38,
    20,    21,    40,     0,    37,    21,    40,     0,    40,     0,
    38,    22,     6,     0,     6,     0,     0,    39,    22,    45,
     0,    45,     0,     0,     4,    37,     5,     0,    41,     0,
    42,     0,    43,     0,    44,     0,     6,    23,    24,    45,
     0,    46,    23,    24,    45,     0,    10,    47,    11,    40,
    12,    40,     0,    10,    47,    11,    40,     0,    13,     6,
    23,    24,    45,    14,    45,     9,    40,     0,     8,    47,
     9,    40,     0,     7,     0,     6,     0,    46,     0,     6,
    19,    39,    20,     0,    19,    45,    25,    45,    20,     0,
    19,    45,    26,    45,    20,     0,    19,    45,    27,    45,
    20,     0,    19,    45,    28,    45,    20,     0,     6,    29,
    45,    30,     0,    19,    45,    31,    24,    45,    20,     0,
    19,    45,    32,    24,    45,    20,     0,    19,    45,    31,
    45,    20,     0,    19,    45,    32,    45,    20,     0,    19,
    45,    24,    45,    20,     0,    19,    45,    33,    45,    20,
     0,    15,    19,    47,    20,     0,    19,    47,    17,    47,
    20,     0,    19,    47,    16,    47,    20,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   170,   206,   242,   266,   316,   351,   387,   427,   475,   491,
   506,   523,   539,   548,   559,   566,   573,   583,   661,   693,
   731,   767,   855,   890,   912,   960,   969,  1034,  1065,  1095,
  1125,  1158,  1207,  1237,  1268,  1299,  1330,  1358,  1388,  1413,
  1445
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","FUNCTION",
"BEG","END","IDENTIFIER","CONSTANT","WHILE","DO","IF","THEN","ELSE","FOR","TO",
"NOT","OR","AND","LOWER_THAN_ELSE","'('","')'","';'","','","':'","'='","'+'",
"'-'","'*'","'/'","'['","']'","'<'","'>'","'#'","program","function","@1","commandblock",
"arglist","arglist2","command","assignment","if_command","for_command","while_command",
"expression","array","condition", NULL
};
#endif

static const short yyr1[] = {     0,
    34,    34,    36,    35,    37,    37,    38,    38,    38,    39,
    39,    39,    40,    40,    40,    40,    40,    41,    41,    42,
    42,    43,    44,    45,    45,    45,    45,    45,    45,    45,
    45,    46,    47,    47,    47,    47,    47,    47,    47,    47,
    47
};

static const short yyr2[] = {     0,
     2,     1,     0,     8,     3,     1,     3,     1,     0,     3,
     1,     0,     3,     1,     1,     1,     1,     4,     4,     6,
     4,     9,     4,     1,     1,     1,     4,     5,     5,     5,
     5,     4,     6,     6,     5,     5,     5,     5,     4,     5,
     5
};

static const short yydefact[] = {     0,
     0,     0,     2,     3,     1,     0,     9,     8,     0,     0,
     0,     0,     7,     0,     0,     0,     0,     0,     4,    14,
    15,    16,    17,     0,     0,     6,     0,     0,     0,     0,
     0,     0,     0,     0,    13,     0,     0,    25,    24,     0,
     0,    26,     0,     0,     0,     0,     0,     0,     0,     0,
     5,    18,    12,     0,    32,     0,     0,     0,     0,     0,
     0,     0,     0,    23,    21,     0,    19,     0,    11,     0,
     0,     0,     0,    39,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    27,     0,     0,     0,     0,     0,
    37,     0,    35,     0,    36,    38,    41,    40,    20,     0,
    10,    28,    29,    30,    31,    33,    34,     0,     0,    22,
     0,     0
};

static const short yydefgoto[] = {     2,
     3,     6,    25,     9,    68,    19,    20,    21,    22,    23,
    41,    42,    46
};

static const short yypact[] = {    20,
    -5,    46,-32768,-32768,-32768,    10,    55,-32768,     8,    44,
    60,    81,-32768,    81,   -17,    29,    29,    63,-32768,-32768,
-32768,-32768,-32768,    47,    -2,-32768,    48,     1,    61,    49,
    65,    75,    67,    64,-32768,    81,     1,   -14,-32768,     1,
    62,-32768,    29,    49,    69,    -3,    81,    81,    71,     1,
-32768,-32768,     1,    78,-32768,    76,    51,     1,     3,    26,
     1,    29,    29,-32768,    86,     1,-32768,    38,-32768,     1,
     1,     1,     1,-32768,    87,     1,    88,     1,    89,    90,
    91,    92,    81,    99,-32768,     1,    94,    95,    96,    97,
-32768,    98,-32768,   100,-32768,-32768,-32768,-32768,-32768,     1,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,   110,    81,-32768,
   121,-32768
};

static const short yypgoto[] = {-32768,
   120,-32768,-32768,-32768,-32768,   -10,-32768,-32768,-32768,-32768,
   -19,   -12,     0
};


#define	YYLAST		122


static const short yytable[] = {    24,
     4,    24,    35,    26,    53,    27,    38,    39,    38,    39,
    45,    28,    62,    63,    28,    31,    32,    52,    36,    40,
    54,    40,     1,    24,    57,    51,    76,    10,     7,    11,
    67,    38,    39,    69,    24,    24,    64,    65,    75,    77,
    79,    80,    56,    29,    40,   111,    84,    30,     1,    78,
    87,    88,    89,    90,    38,    39,    92,    85,    94,    86,
     8,    81,    82,    29,    12,    13,   101,    44,    33,    34,
    24,    37,    99,    47,    58,    70,    71,    72,    73,    43,
   108,    59,    60,    61,    14,    48,    15,    50,    16,    49,
    17,    55,    58,    18,    66,    74,    24,    83,   110,    59,
    60,    61,    70,    71,    72,    73,    91,    93,    95,    96,
    97,    98,   100,   102,   103,   104,   105,   106,   109,   107,
   112,     5
};

static const short yycheck[] = {    12,
     6,    14,     5,    14,    19,    23,     6,     7,     6,     7,
    30,    29,    16,    17,    29,    16,    17,    37,    21,    19,
    40,    19,     3,    36,    44,    36,    24,    20,    19,    22,
    50,     6,     7,    53,    47,    48,    47,    48,    58,    59,
    60,    61,    43,    15,    19,     0,    66,    19,     3,    24,
    70,    71,    72,    73,     6,     7,    76,    20,    78,    22,
     6,    62,    63,    15,    21,     6,    86,    19,     6,    23,
    83,    24,    83,     9,    24,    25,    26,    27,    28,    19,
   100,    31,    32,    33,     4,    11,     6,    24,     8,    23,
    10,    30,    24,    13,    24,    20,   109,    12,   109,    31,
    32,    33,    25,    26,    27,    28,    20,    20,    20,    20,
    20,    20,    14,    20,    20,    20,    20,    20,     9,    20,
     0,     2
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/misc/bison.simple"
/* This file comes from bison-1.28.  */

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

#ifndef YYSTACK_USE_ALLOCA
#ifdef alloca
#define YYSTACK_USE_ALLOCA
#else /* alloca not defined */
#ifdef __GNUC__
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
#define YYSTACK_USE_ALLOCA
#include <alloca.h>
#else /* not sparc */
/* We think this test detects Watcom and Microsoft C.  */
/* This used to test MSDOS, but that is a bad idea
   since that symbol is in the user namespace.  */
#if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
#if 0 /* No need for malloc.h, which pollutes the namespace;
	 instead, just don't use alloca.  */
#include <malloc.h>
#endif
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
/* I don't know what this was needed for, but it pollutes the namespace.
   So I turned it off.   rms, 2 May 1997.  */
/* #include <malloc.h>  */
 #pragma alloca
#define YYSTACK_USE_ALLOCA
#else /* not MSDOS, or __TURBOC__, or _AIX */
#if 0
#ifdef __hpux /* haible@ilog.fr says this works for HPUX 9.05 and up,
		 and on HPUX 10.  Eventually we can turn this on.  */
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#endif /* __hpux */
#endif
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc */
#endif /* not GNU C */
#endif /* alloca not defined */
#endif /* YYSTACK_USE_ALLOCA not defined */

#ifdef YYSTACK_USE_ALLOCA
#define YYSTACK_ALLOC alloca
#else
#define YYSTACK_ALLOC malloc
#endif

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Define __yy_memcpy.  Note that the size argument
   should be passed with type unsigned int, because that is what the non-GCC
   definitions require.  With GCC, __builtin_memcpy takes an arg
   of type size_t, but it can handle unsigned int.  */

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     unsigned int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, unsigned int count)
{
  register char *t = to;
  register char *f = from;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 217 "/usr/share/misc/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
#ifdef YYPARSE_PARAM
int yyparse (void *);
#else
int yyparse (void);
#endif
#endif

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;
  int yyfree_stacks = 0;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  if (yyfree_stacks)
	    {
	      free (yyss);
	      free (yyvs);
#ifdef YYLSP_NEEDED
	      free (yyls);
#endif
	    }
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
#ifndef YYSTACK_USE_ALLOCA
      yyfree_stacks = 1;
#endif
      yyss = (short *) YYSTACK_ALLOC (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1,
		   size * (unsigned int) sizeof (*yyssp));
      yyvs = (YYSTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1,
		   size * (unsigned int) sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1,
		   size * (unsigned int) sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 1:
#line 171 "pascalli_parser.yy"
{
	   TIndex index;
	   xFunctionList *functionlist;
	   xProgramNode  *programnode;
	   xNode         *node;
	   
	   // a new xFunctionList is created
	   functionlist=new xFunctionList;

	   // getting the functionlist
	   (*functionlist)=yyvsp[-1].tProgram->Functions;

	   // the function is inserted into the functionlist
	   (*functionlist)+=yyvsp[0].tFunction;
	   
	   programnode=yyvsp[-1].tProgram;

	   programnode->Functions=(*functionlist);

	   node=yyvsp[0].tFunction;
	   
	   index=Free_Nodes(node);
	   Free_Nodes-=index;
	   
	   // functionlist must be freed!
	   Free_FunctionLists+=functionlist;

	   TopNode=programnode;
	   
	   yyval.tProgram=programnode;
	   
	   // this rule raises normal syntax-error!!!
	   
	   // cout <<"Program parsed!!!\n";
	 ;
    break;}
case 2:
#line 207 "pascalli_parser.yy"
{
	   TIndex        index;
	   xFunctionList *functionlist;
           xProgramNode  *programnode;
	   xNode         *node;

	   // a new xFunctionList is created
	   functionlist= new xFunctionList;

	  // the function is inserted into the functionlist
          (*functionlist)+=yyvsp[0].tFunction;

	  // the xProgramNode to be returned is created
	  programnode=new xProgramNode((*functionlist));

	  // functionlist must be freed!
	  Free_FunctionLists+=functionlist;

	  Free_Nodes+=programnode;

	  node=yyvsp[0].tFunction;

	  index=Free_Nodes(node);
	  Free_Nodes-=index;

	  yyval.tProgram=programnode;
	  
	  TopNode=programnode;

	  // this rule raises normal syntax-error!!!

	  // cout << "first function parsed!!!" <<endl;
	 ;
    break;}
case 3:
#line 243 "pascalli_parser.yy"
{ 
	    xString symbol;
	    symbol=xString(yyvsp[0].tIdentifier);
	    Function_Name=new xIdentifier(symbol);
	    Function_Name->Type=Function;

	    Free_Identifiers+=Function_Name;

	    // checking if the identifier is already in the Declared...
	    if (Declared_Functions_Symboltable.Contains(Function_Name))
	      // the identifier is a already declared function
	     	{
		  yyerror("Function already declared!!!");
	     	  return 1;
		}
	    
	    // the function-identifier is inserted into the 
	    // Declared_Functions_Symboltable and into the
	    // Local_Functions_Symboltable as an xIdentifier
	    Local_Functions_Symboltable+=Function_Name;
	    Declared_Functions_Symboltable+=Function_Name;
	  ;
    break;}
case 4:
#line 267 "pascalli_parser.yy"
{
	    xNode       *node; 
	    TIndex      index;
	    xFunction   *function;

	   // the Variable_Symboltable and the Array_Symboltable are reseted
	    Variable_Symboltable = New_Symboltable;
	    Array_Symboltable    = New_Symboltable;

	    Function_Name->Number_Of_Arguments=~(*yyvsp[-3].tIdentifierList);

	   // and after being freed it is reseted
	   Local_Functions_Symboltable = New_Symboltable;

	   // checking if the function has a return-value
	   if (Value_Assigned==TRUE)
	     {
	       Value_Assigned=FALSE;
	     }
	   else
	     {
	       yyerror("Function has no return-value!!!");
	       return 1;
	     }

	   // the xFunction to be returned is created
	   function=new xFunction(Function_Name,(*yyvsp[-3].tIdentifierList),yyvsp[0].tCommand);

	   Free_Nodes+=function;
	   
	   for (TIndex i=0; i<~(*yyvsp[-3].tIdentifierList); i++)
	     {
	       node=(*yyvsp[-3].tIdentifierList)[i];
	       index=Free_Nodes(node);
	       Free_Nodes-=index;
	     }


	   node=yyvsp[0].tCommand;

	   index=Free_Nodes(node);
	   Free_Nodes-=index;

      	   yyval.tFunction=function;
	   
	   // cout <<"Function parsed!!!\n";
	  ;
    break;}
case 5:
#line 317 "pascalli_parser.yy"
{
		TIndex        index;
		xCommandBlock *commandblock;
		xCommandList  *commandlist;
		xNode         *node;

		// a xCommandList is created
		commandlist= new xCommandList;

		(*commandlist)=yyvsp[-2].tCommandBlock->CommandList;
	      
		// the command is inserted into the commandlist
		(*commandlist)+=yyvsp[0].tCommand;

		//commandlist must be freed!
		Free_CommandLists+=commandlist;

		commandblock=yyvsp[-2].tCommandBlock;

		commandblock->CommandList=(*commandlist);
		commandblock->Alpha=(yyvsp[-2].tCommandBlock->Alpha);
		commandblock->Beta=(yyvsp[0].tCommand->Beta);

		node=yyvsp[0].tCommand;

		index=Free_Nodes(node);
		Free_Nodes-=index;
		
		yyval.tCommandBlock=commandblock;

		// cout << "Commandblock parsed!\n";

		// this rule raises only normal syntax-error!!!
	      ;
    break;}
case 6:
#line 352 "pascalli_parser.yy"
{
		TIndex        index;
		xCommandBlock *commandblock;
		xCommandList  *commandlist;
		xNode         *node;

		// the commandlist is created
		commandlist = new xCommandList;

		// the command is inserted into the commandlist
		(*commandlist)+=yyvsp[0].tCommand;

		// a xCommandBlock is created out of the commandlist
		commandblock=new xCommandBlock((*commandlist));

		Free_Nodes+=commandblock;

		//commandlist must be freed!
		Free_CommandLists+=commandlist;

		commandblock->Alpha=(yyvsp[0].tCommand->Alpha);
		commandblock->Beta=(yyvsp[0].tCommand->Beta);

		node=yyvsp[0].tCommand;

		index=Free_Nodes(node);
		Free_Nodes-=index;

		yyval.tCommandBlock=commandblock;

		// cout << "Begin of Commandblock parsed!!!\n";
	      ;
    break;}
case 7:
#line 388 "pascalli_parser.yy"
{
	   xString   symbol;
	   xIdentifierList  *arglist;
	   xVariable *variable;

	   // a xString is created out of IDENTIFIER
	   symbol= xString(yyvsp[0].tIdentifier);

	   // a xVariable is created
	   variable=new xVariable(symbol);

	   Free_Nodes+=variable;

	   // checking if the variable is already in the Symboltable
	   if (Variable_Symboltable.Contains(variable))
	     {
	       yyerror("Formal parameter used before!!!");
	       return 1;
	     }

	   // checking if the variable is the function_identifier
	   if ((*variable)==(*Function_Name))
	     {
	       yyerror("Function-identifier not allowed as formal parameter!!!");
	       return 1;
	     }

	   // the variable is inserted into the arglist
	   arglist=yyvsp[-2].tIdentifierList;
	   (*arglist)+=variable;

	   yyval.tIdentifierList=arglist;

	   // cout <<"Arglist parsed!!!";

	   // this rule raises an error if the formal parameter
	   // was used before.
	 ;
    break;}
case 8:
#line 428 "pascalli_parser.yy"
{
	   xString          symbol;
	   xIdentifierList  *arglist;
	   xVariable        *variable;
	   
	   // a xString is created out of IDENTIFIER
	   symbol=xString(yyvsp[0].tIdentifier);

	   // a xVariable is created
	   variable=new xVariable(symbol);

	   Free_Nodes+=variable;

	   // checking if the variable is already in the Variable_Symboltable
	   if (Variable_Symboltable.Contains(variable))
	     {
	       yyerror("Formal parameter used before!!!");
	       return 1;
	     }

	   // checking if the variable is the function_identifier
	   if ((*variable)==(*Function_Name))
	     {
	       yyerror("Function-identifier not allowed as formal parameter!!!");
	       return 1;
	     }
	  	   
	   // the variable is inserted into the Variable_Symboltable
	   Variable_Symboltable+=variable;

	   // a new xArgList is created
	   arglist= new xIdentifierList;

	   // the arglist must bee freed!
	   Free_IdentifierLists+=arglist;

	   
	   // the variable is inserted into the arglist
	   (*arglist)+=variable;

	   yyval.tIdentifierList=arglist;
	   
	   // cout <<"Begin of Arglist parsed!!!";

	   // this rule raises an error if the formal parameter
	   // was used before.
	 ;
    break;}
case 9:
#line 476 "pascalli_parser.yy"
{
	   xIdentifierList *arglist;

	   // a xArgList is created to be returned
	   arglist= new xIdentifierList;

	   yyval.tIdentifierList=arglist;

	   // cout <<"Empty Arglist parsed!!!";

	   // this rule raises only normal syntax-error!!!
	 ;
    break;}
case 10:
#line 492 "pascalli_parser.yy"
{
	   xExpressionList *arglist;

	   arglist=yyvsp[-2].tExpressionList;

	   // the expression is inserted into the arglist
	   (*arglist)+=yyvsp[0].tExpression;
	   
	   yyval.tExpressionList=arglist;

	   // this rule raises only normal syntax-error!!!
	   
	 ;
    break;}
case 11:
#line 507 "pascalli_parser.yy"
{
	   xExpressionList *arglist;

	   // a xArgList is created
	   arglist=new xExpressionList;

	   // the expression is inserted into the arglist
	   (*arglist)+=yyvsp[0].tExpression;

	   yyval.tExpressionList=arglist;

	   // cout <<"End of Arglist parsed!!!\n";

	   // this rule raises normal syntax-error!!!
	   
	 ;
    break;}
case 12:
#line 524 "pascalli_parser.yy"
{
	   xExpressionList *arglist;

	   // a empty xArgList is created
	   arglist=new xExpressionList;

	   yyval.tExpressionList=arglist;

	   // cout <<"Empty Arglist parsed!!!\n";

	   // this rule raises normal syntax-error!!!
	   
	 ;
    break;}
case 13:
#line 540 "pascalli_parser.yy"
{
	   // the commandblock is returned
	   yyval.tCommand=yyvsp[-1].tCommandBlock;

	   // cout <<"BEGIN...END-Commandblock parsed!!!\n";

	   // this rule raises normal syntax-error!!!
	 ;
    break;}
case 14:
#line 549 "pascalli_parser.yy"
{
  	   // the xAssignment is returned
	   yyval.tCommand=yyvsp[0].tAssignment;

	   // cout <<"Assigment parsed!!!\n";

	   Command_Counter++;

	   // this rule raises only normal syntax-error!!!
	 ;
    break;}
case 15:
#line 560 "pascalli_parser.yy"
{
	   // the xIfStatement is returned
	   yyval.tCommand=yyvsp[0].tIf;

	   // this rule raises only normal syntax-error!!!
	 ;
    break;}
case 16:
#line 567 "pascalli_parser.yy"
{
	   // the xForLoop is returned
	   yyval.tCommand=yyvsp[0].tFor;

	   // this rule raises only normal syntax-error!!!
	 ;
    break;}
case 17:
#line 574 "pascalli_parser.yy"
{
	   // the xWhile is returned
	   yyval.tCommand=yyvsp[0].tWhile;

	   // this rule raises only normal syntax-error!!!
	 ;
    break;}
case 18:
#line 584 "pascalli_parser.yy"
{
	     TIndex index;
	     xNode       *node;
	     xString     symbol;
	     xVariable   *variable;
	     xAssignment *assignment;

	     // a xString is created out of IDENTFIER
	     symbol=xString(yyvsp[-3].tIdentifier);

	     // a xVariable is created
	     variable= new xVariable(symbol);

	     Free_Nodes+=variable;

	     variable->Alpha=Command_Counter;
	     variable->Beta=Command_Counter;

	     // checking if the variable is already in the Array_Symboltable
	     if (Array_Symboltable.Contains(variable))
	       // the variable is in the Array_Symboltable
	       {
		 yyerror("Variable used as an array before!!!");
		 return 1;
	       }

	     if (!((*Function_Name)==(*variable)))
	       {
		 // checking if the variable has been used as function-identifier
		 if (Local_Functions_Symboltable.Contains(variable))
		   {
		     yyerror("Variable used as a function before!!!");
		     return 1;
		   }

		  // the variable is inserted into the Variable_Symboltable
	   	  Variable_Symboltable+=variable;
	       }

	     // the variable has not been used as an array
	     // nor a function before 
	     // a expcetion to this is that the variable is 
	     // the Function_Name

	    
	     //the xAssignment to be returned is created
	     assignment = new xAssignment(variable,yyvsp[0].tExpression);

	     Free_Nodes+=assignment;

	     assignment->Alpha=Command_Counter;
	     assignment->Beta=Command_Counter;

	     node=variable;
	     
	     index=Free_Nodes(node);
	     Free_Nodes-=index;
	     
	     node=yyvsp[0].tExpression;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     //checking if the variable is the function-identifier
	     
	     if ((*variable)==(*Function_Name))
	       {
		 Value_Assigned=TRUE;
	       }

	     yyval.tAssignment=assignment;
	     
	     // cout <<"expression-assignment parsed!!!\n"; 
	     
	     // this rule raises an error if the variable has been used
             // as an array or as a function before!
	   ;
    break;}
case 19:
#line 662 "pascalli_parser.yy"
{
	     TIndex index;
	     xAssignment *assignment;
	     xNode       *node;

	     // a xAssignment is created to be returned
	     assignment= new xAssignment(yyvsp[-3].tArray,yyvsp[0].tExpression);

	     Free_Nodes+=assignment;

	     assignment->Alpha=Command_Counter;
	     assignment->Beta=Command_Counter;

	     node=yyvsp[-3].tArray;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     node=yyvsp[0].tExpression;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;
	     
	     yyval.tAssignment=assignment;

	     // cout <<"array-assignment parsed!!!\n";

	     // this rule raises only normal syntax-error!!!
	   ;
    break;}
case 20:
#line 694 "pascalli_parser.yy"
{
	      TIndex index;
	      xIfStatement *if_else_command;
	      xNode        *node;
	      
	      // a xIfStatement to be returned is created
	      if_else_command= new xIfStatement(yyvsp[-4].tCondition,yyvsp[-2].tCommand,yyvsp[0].tCommand);

	      Free_Nodes+=if_else_command;

	      if_else_command->Alpha=yyvsp[-2].tCommand->Alpha;
	      if_else_command->Beta=yyvsp[0].tCommand->Beta;

	      yyvsp[-4].tCondition->Alpha=if_else_command->Alpha;
	      yyvsp[-4].tCondition->Beta=if_else_command->Beta;

	      node=yyvsp[-4].tCondition;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      node=yyvsp[-2].tCommand;
	      
	      index=Free_Nodes(node);
	      Free_Nodes-=index;
	      
	      node=yyvsp[0].tCommand;
	      
	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      yyval.tIf=if_else_command;

	      // cout <<"if-else-command parsed!!!\n";

	       // this rule raises only normal syntax-error!!!
	    ;
    break;}
case 21:
#line 732 "pascalli_parser.yy"
{
	      TIndex index;
	      xIfStatement *if_command;
	      xNode        *node;

	      // a xIfStatement to be returned is created
	      if_command= new xIfStatement(yyvsp[-2].tCondition,yyvsp[0].tCommand,0);

	      Free_Nodes+=if_command;

	      if_command->Alpha=yyvsp[0].tCommand->Alpha;
	      if_command->Beta=yyvsp[0].tCommand->Beta;

	      yyvsp[-2].tCondition->Alpha=if_command->Alpha;
	      yyvsp[-2].tCondition->Alpha=if_command->Beta;

	      node=yyvsp[-2].tCondition;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;
	      
	      node=yyvsp[0].tCommand;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;
	      
	      yyval.tIf=if_command;
	      
	      // cout <<"if-command parsed!!!\n";

	      // this rule raises only normal syntax-error!!!
	    ;
    break;}
case 22:
#line 768 "pascalli_parser.yy"
{
	       TIndex    index;
	       xString   symbol;
	       xForLoop  *for_command;
	       xVariable *counter;
	       xNode     *node;
	       
	       // a xString is created out of IDENTIFIER
	       symbol=xString(yyvsp[-7].tIdentifier);

	       // a xVariable is created
	       counter= new xVariable(symbol);
	       counter->Alpha=yyvsp[0].tCommand->Alpha;
	       counter->Beta=yyvsp[0].tCommand->Beta;

	       Free_Nodes+=counter;

	       // checking if the counter is in the Array_Symboltable
	       if (Array_Symboltable.Contains(counter))
		 {
		   yyerror("Variable used as an array before!!!");
		   return 1;
		 }

	       // checking if the counter has been used as a function-identfier
	       if (Local_Functions_Symboltable.Contains(counter))
		 {
		   yyerror("Variable used as a function before!!!");
		 }

	       // checking if the counter is used at the left side
	       // of an assignment in command
		   
	       if(yyvsp[0].tCommand->variable_used(counter))
		 {	
		   yyerror("Counter-Variable used at the left side of an assignment!!!");
		   return 1;		     
		 }
	       
	       // the counter is inserted into the Variable_Symboltable
	       Variable_Symboltable+=counter;
	       
	       // a xForLoop is created to be returned
	       for_command= new xForLoop(counter,yyvsp[-4].tExpression,yyvsp[-2].tExpression,yyvsp[0].tCommand);

	       Free_Nodes+=for_command;

	       for_command->Alpha=counter->Alpha;
	       for_command->Beta=counter->Beta;

	       yyvsp[-4].tExpression->Alpha=for_command->Alpha;
	       yyvsp[-4].tExpression->Beta=for_command->Beta;

	       yyvsp[-2].tExpression->Alpha=for_command->Alpha;
	       yyvsp[-2].tExpression->Beta=for_command->Beta;

	       node=counter;
	       
	       index=Free_Nodes(node);
	       Free_Nodes-=index;

	       node=yyvsp[-4].tExpression;

	       index=Free_Nodes(node);
	       Free_Nodes-=index;

	       node=yyvsp[-2].tExpression;

	       index=Free_Nodes(node);
	       Free_Nodes-=index;

	       node=yyvsp[0].tCommand;

	       index=Free_Nodes(node);
	       Free_Nodes-=index;

	       yyval.tFor=for_command;
	       
	       // cout <<"for-command parsed!!!\n";

	       // this rule raises an error if the Counter-Variable
	       // is used at the left side of an assignment in command
	       // or if the counter has been used as an array before
	     ;
    break;}
case 23:
#line 856 "pascalli_parser.yy"
{
		 TIndex index;
		 xWhile  *while_command;
		 xNode   *node;

		 // a xWhile is created to be returned
		 while_command = new xWhile(yyvsp[-2].tCondition,yyvsp[0].tCommand);

		 Free_Nodes+=while_command;
		 
		 node=yyvsp[-2].tCondition;

		 index=Free_Nodes(node);
		 Free_Nodes-=index;
		 
		 node=yyvsp[0].tCommand;

		 index=Free_Nodes(node);
		 Free_Nodes-=index;

		 while_command->Alpha=yyvsp[0].tCommand->Alpha;
		 while_command->Beta=yyvsp[0].tCommand->Beta;

		 yyvsp[-2].tCondition->Alpha=while_command->Alpha;
		 yyvsp[-2].tCondition->Beta=while_command->Beta;

		 yyval.tWhile=while_command;
		 
	         // cout <<"while-command parsed!!!\n";

		 // this rule raises normal syntax-error!!!
	       ;
    break;}
case 24:
#line 891 "pascalli_parser.yy"
{
	      xString   number;
	      xConstant *constant;
	      
	      // a xString is created out of CONSTANT
	      number= xString(yyvsp[0].tConstant);

	      // a xConstant is created
	      constant= new xConstant(number);

	      Free_Nodes+=constant;

	      constant->Alpha=Command_Counter;
	      constant->Beta=Command_Counter;

	      yyval.tExpression=constant;

	      // this rule raises normal syntax-error!!!

	      // cout <<"constant-expression parsed!!!\n";
	    ;
    break;}
case 25:
#line 913 "pascalli_parser.yy"
{
	      xString   symbol;
	      xVariable *variable;
	 
	      // a xString is created out of IDENTIFIER
	      symbol=xString(yyvsp[0].tIdentifier);

	      // a xVariable is created
	      variable=new xVariable(symbol);

	      Free_Nodes+=variable;

	      // checking if the variable is the function_identifier
	      if (*(variable)==(*Function_Name)) 
		{
		  yyerror("Function-identifier used at right side of an assignment!!!");
		  return 1;
		}


	      //checking if the variable is in the Array_Symbltable
	      if (Array_Symboltable.Contains(variable))
		{ 
		  yyerror("Variable used as an array before!!!");
		  return 1;
		}

	      if (Local_Functions_Symboltable.Contains(variable))
		{
		  yyerror("Variable used as a function before!!!");
		  return 1;
		}
								

	      variable->Alpha=Command_Counter;
	      variable->Beta=Command_Counter;

	      // the variable is inserted into the Variable_Symboltable
	      Variable_Symboltable+=variable;

	      yyval.tExpression=variable;

	      // cout <<"variable-expression parsed!!!\n";

	      // this rule raises an error if the variable has been used as
	      // an array before and if the identifier is the function-identifier
	    ;
    break;}
case 26:
#line 961 "pascalli_parser.yy"
{ 	    
	    yyval.tExpression=yyvsp[0].tArray;	  
	    
	    // cout <<"array-expression parsed!!!\n";
	    
	    //this rule raises only normal syntax-error!!!
	    ;
    break;}
case 27:
#line 970 "pascalli_parser.yy"
{
	      TIndex         index;
	      xString        symbol;
	      xIdentifier    *identifier;
	      xFunctionCall  *call;
	      xNode          *node;

	      // a xString is created out of IDENTIFIER
	      symbol=xString(yyvsp[-3].tIdentifier);

	      // a xIdentifier is created out of the identifier
	      identifier=new xIdentifier(symbol);

	      identifier->Number_Of_Arguments=~(*yyvsp[-1].tExpressionList);

	      Free_Identifiers+=identifier;

	      // checking if the identifier has been used as a variable
	      if (Variable_Symboltable.Contains(identifier))
		{
		  yyerror("Function used as a variable before!!!");
		  return 1;
		}

	      // checking if the identifier has been used as an array
	      if (Array_Symboltable.Contains(identifier))
		{
		  yyerror("Function used as an array before!!!");
		  return 1;
		}

	      // the idenitifier is inserted into the Local_Functions_Symboltable
	      Local_Functions_Symboltable+=identifier;
	      
	      // and also into the Used_Functions_Symboltable
	      Used_Functions_Symboltable+=identifier;

	      // a xFunctionCall is created
	      call=new xFunctionCall(symbol,(*yyvsp[-1].tExpressionList));

	      Free_Nodes+=call;

	      //arglist2 must be freed!
	      Free_ExpressionLists+=yyvsp[-1].tExpressionList;
	      
	      call->Alpha=Command_Counter;
	      call->Beta=Command_Counter;

	      for (TIndex i=0; i<~(*yyvsp[-1].tExpressionList); i++)
		{
		  node=(*yyvsp[-1].tExpressionList)[i];
		  index=Free_Nodes(node);
		  Free_Nodes-=index;
		}

	      yyval.tExpression=call;

	      // cout <<"function-call parsed!!!\n";

	       // this rule raises an error if the function identifier
	       // has been used as a variable or an array before.
	    ;
    break;}
case 28:
#line 1035 "pascalli_parser.yy"
{

	      TIndex    index;
	      xAddition *addition;
	      xNode     *node;
	      
	      // a xAddition is created to be returned
	      addition= new xAddition(yyvsp[-3].tExpression,yyvsp[-1].tExpression);

	      Free_Nodes+=addition;

	      node=yyvsp[-3].tExpression;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      node=yyvsp[-1].tExpression;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      addition->Alpha=Command_Counter;
	      addition->Beta=Command_Counter;

	      yyval.tExpression=addition;

	      // cout <<"+expression parsed!!!\n";

	      // this rule raises only normal syntax-error!!!
	    ;
    break;}
case 29:
#line 1066 "pascalli_parser.yy"
{
	      TIndex       index;
	      xSubtraction *subtraction;
	      xNode        *node;

	      // a xSubtraction is created to be returned
	      subtraction= new xSubtraction(yyvsp[-3].tExpression,yyvsp[-1].tExpression);

	      Free_Nodes+=subtraction;

	      node=yyvsp[-3].tExpression;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      node=yyvsp[-1].tExpression;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      subtraction->Alpha=Command_Counter;
	      subtraction->Beta=Command_Counter;

	      yyval.tExpression=subtraction;

	      // cout <<"-expression parsed!!!\n";

	      // this rule raises only normal syntax-error!!!
	    ;
    break;}
case 30:
#line 1096 "pascalli_parser.yy"
{
	      TIndex          index;
	      xMultiplication *multiplication;
	      xNode           *node;

	      // a xMultiplication is created to be returned
	      multiplication= new xMultiplication(yyvsp[-3].tExpression,yyvsp[-1].tExpression);

	      Free_Nodes+=multiplication;

	      node=yyvsp[-3].tExpression;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      node=yyvsp[-1].tExpression;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      multiplication->Alpha=Command_Counter;
	      multiplication->Beta=Command_Counter;

	      yyval.tExpression=multiplication;

	      // cout <<"*expression parsed!!!\n";

	      // this rule raises only normal syntax-error!!!
	    ;
    break;}
case 31:
#line 1126 "pascalli_parser.yy"
{
	      TIndex    index;
	      xDivision *division;
	      xNode     *node;
	      
	      // a xDivision is created to be returned
	      division= new xDivision(yyvsp[-3].tExpression,yyvsp[-1].tExpression);

	      Free_Nodes+=division;

	      node=yyvsp[-3].tExpression;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      node=yyvsp[-1].tExpression;

	      index=Free_Nodes(node);
	      Free_Nodes-=index;

	      division->Alpha=Command_Counter;
	      division->Beta=Command_Counter;

	      yyval.tExpression=division;

	      // cout <<":expression parsed!!!\n";

	      // this rule raises only normal syntax-error!!!
	    ;
    break;}
case 32:
#line 1159 "pascalli_parser.yy"
{
	 TIndex   index;
	 xString  symbol;
	 xArray   *array;
	 xNode    *node;

	 // a xString is created out of the IDENTIFIER
	 symbol=xString(yyvsp[-3].tIdentifier);

	 // a xArray is created
	 array=new xArray(symbol, yyvsp[-1].tExpression);

	 Free_Nodes+=array;

	 node=yyvsp[-1].tExpression;

	 index=Free_Nodes(node);
	 Free_Nodes-=index;

	 // checking if the array has been used as a variable before
	 if (Variable_Symboltable.Contains(array))
	   {
	     yyerror("Array used as a variable before!!!");
	     return 1;
	   }

	 // checking if the array has been used as a function before
	 if (Local_Functions_Symboltable.Contains(array))
	   {
	     yyerror("Array used as a function before!!!");
	   }
     
	 array->Alpha=Command_Counter;
	 array->Beta=Command_Counter;
	 
	 // the array is inserted into the Array_Symboltable
	 Array_Symboltable+=array;

      	 yyval.tArray=array;

	 // cout <<"array-parsed!!!\n";

	 // this rule raises an error if the array has been used 
	 // as a variable or a function before
       ;
    break;}
case 33:
#line 1208 "pascalli_parser.yy"
{
	     TIndex           index;
	     xSmallerEqual    *bool_expression;
	     xNode            *node;

	     // a xSmallerEqual is created to be returned
	     bool_expression=new xSmallerEqual(yyvsp[-4].tExpression,yyvsp[-1].tExpression);

	     Free_Nodes+=bool_expression;

	     node=yyvsp[-4].tExpression;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     node=yyvsp[-1].tExpression;
	     
	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     bool_expression->Alpha=Command_Counter;
	     bool_expression->Beta=Command_Counter;

	     yyval.tCondition=bool_expression;

	     // cout <<"<=condition parsed!!!\n";

	     // this rule raises only normal syntax-error!!!
	   ;
    break;}
case 34:
#line 1238 "pascalli_parser.yy"
{
	     TIndex        index;
	     xGreaterEqual *bool_expression;
	     xNode         *node;
	       
	     // an xGreaterEqual is created to be returned
	     bool_expression=new xGreaterEqual(yyvsp[-4].tExpression,yyvsp[-1].tExpression);

	     Free_Nodes+=bool_expression;


	     node=yyvsp[-4].tExpression;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     node=yyvsp[-1].tExpression;
	     
	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     bool_expression->Alpha=Command_Counter;
	     bool_expression->Beta=Command_Counter;

	     yyval.tCondition=bool_expression;

	     // cout <<">=condition parsed!!!\n";

	     // this rule raises only normal syntax-error!!!
	   ;
    break;}
case 35:
#line 1269 "pascalli_parser.yy"
{
	     TIndex   index;
	     xSmaller *bool_expression;
	     xNode    *node;

	     // a xSmaller is created to be returned
	     bool_expression= new xSmaller(yyvsp[-3].tExpression,yyvsp[-1].tExpression);

	     Free_Nodes+=bool_expression;

	     node=yyvsp[-3].tExpression;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     node=yyvsp[-1].tExpression;
	     
	     index=Free_Nodes(node);
	     Free_Nodes-=index;


	     bool_expression->Alpha=Command_Counter;
	     bool_expression->Beta=Command_Counter;

	     yyval.tCondition=bool_expression;

	     // cout <<"<condition parsed!!!\n";

	     // this rule raises only normal syntax-error!!!
	   ;
    break;}
case 36:
#line 1300 "pascalli_parser.yy"
{
	     TIndex   index;
	     xGreater *bool_expression;
	     xNode    *node;

	     // a xGreater is created to be returned
	     bool_expression= new xGreater(yyvsp[-3].tExpression,yyvsp[-1].tExpression);

	     Free_Nodes+=bool_expression;


	     node=yyvsp[-3].tExpression;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     node=yyvsp[-1].tExpression;
	     
	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     bool_expression->Alpha=Command_Counter;
	     bool_expression->Beta=Command_Counter;

	     yyval.tCondition=bool_expression;
	     
	     // cout <<">condition parsed!!!\n"; 

	     // this rule raises only normal syntax-error!!!
	   ;
    break;}
case 37:
#line 1331 "pascalli_parser.yy"
{
	     TIndex index;
	     xEqual *bool_expression;
	     xNode  *node;

	     // a xEqual is created to be returned
	     bool_expression= new xEqual(yyvsp[-3].tExpression,yyvsp[-1].tExpression);

	     Free_Nodes+=bool_expression;

	     node=yyvsp[-3].tExpression;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     node=yyvsp[-1].tExpression;
	     
	     index=Free_Nodes(node);
	     Free_Nodes-=index;	     

	     bool_expression->Alpha=Command_Counter;
	     bool_expression->Beta=Command_Counter;

	     yyval.tCondition=bool_expression;

	     // cout <<"=condition parsed!!!\n";
	   ;
    break;}
case 38:
#line 1359 "pascalli_parser.yy"
{
	     TIndex   index;
	     xUnEqual *bool_expression;
	     xNode    *node;

	     // a xUnEqual is created
	     bool_expression= new xUnEqual(yyvsp[-3].tExpression,yyvsp[-1].tExpression);

	     Free_Nodes+=bool_expression;

	     node=yyvsp[-3].tExpression;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     node=yyvsp[-1].tExpression;
	     
	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     bool_expression->Alpha=Command_Counter;
	     bool_expression->Beta=Command_Counter;

	     yyval.tCondition=bool_expression;

	     // cout <<"#condition parsed!!!\n";

	     // this rule raises only normal syntax-error!!!
	   ;
    break;}
case 39:
#line 1389 "pascalli_parser.yy"
{
	     TIndex index;
	     xNot   *bool_expression;
	     xNode  *node;

	     // a xNot is created to be returned
	     bool_expression= new xNot(yyvsp[-1].tCondition);

	     Free_Nodes+=bool_expression;

	     node=yyvsp[-1].tCondition;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     bool_expression->Alpha=Command_Counter;
	     bool_expression->Beta=Command_Counter;

	     yyval.tCondition=bool_expression;

	     // cout <<"NOT-condition parsed!!!\n";

	     // this rule raises only normal syntax-error!!!
	   ;
    break;}
case 40:
#line 1414 "pascalli_parser.yy"
{
	     TIndex  index;
	     xAnd    *bool_expression;
	     xNode   *node;

	     // a xAnd is created to be returned
	     bool_expression= new xAnd(yyvsp[-3].tCondition,yyvsp[-1].tCondition);

	     Free_Nodes+=bool_expression;

	     
	     node=yyvsp[-3].tCondition;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     node=yyvsp[-1].tCondition;
	     
	     index=Free_Nodes(node);
	     Free_Nodes-=index;


	     bool_expression->Alpha=Command_Counter;
	     bool_expression->Beta=Command_Counter;

	     yyval.tCondition=bool_expression;

	     // cout <<"AND-condition parsed!!!\n";

	     // this rule raises only normal syntax-error!!!
	   ;
    break;}
case 41:
#line 1446 "pascalli_parser.yy"
{
	     TIndex  index;
	     xOr     *bool_expression;
	     xNode   *node;

	     // a xOr is created to be returned
	     bool_expression=new xOr(yyvsp[-3].tCondition,yyvsp[-1].tCondition);

	     Free_Nodes+=bool_expression;

	     node=yyvsp[-3].tCondition;

	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     node=yyvsp[-1].tCondition;
	     
	     index=Free_Nodes(node);
	     Free_Nodes-=index;

	     bool_expression->Alpha=Command_Counter;
	     bool_expression->Beta=Command_Counter;

	     yyval.tCondition=bool_expression;
	     
	     // cout <<"OR-condition parsed!!!\n";
	     // this rule raises only normal syntax-error!!!
	   ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 543 "/usr/share/misc/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;

 yyacceptlab:
  /* YYACCEPT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 0;

 yyabortlab:
  /* YYABORT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 1;
}
#line 1476 "pascalli_parser.yy"





extern FILE *yyin;
FILE *file;

 
int main(int argc, char **argv)
{
  char *Outfile;
  xString File;

  xPascalliTranslator *backend;

  try
  {
    if (argc == 3)
    {
      Outfile = argv[2];
      file = fopen(argv[1], "r");
      if (file)
      {
	yyin = file;
	ungetc('\n',file);	
      }
      else
      {
	cout << "Could not open file: " << argv[1] << "\n";
	return 1;
      };

    }
    else
    {
      cout << "syntax: plic <infile> <outfile>!\n";
      return 1;
    };

    do
    {
      Status = yyparse();
    }
    while (!feof(yyin));

    File = xString(Outfile);

    if (Status == 0)
    {
      // the following rutine checks if every used function is also
      // delcared and raises an error if this is not the case
    
      if (used_but_not_declared())
      {
	//free_parstree(); weil segfault FIXME Postsegfault bug. (erikyyy)

	message_abnormal_compilation();
	return 1;
      };

      // the Function_Symboltables are reseted
      Used_Functions_Symboltable = New_Symboltable;
      Declared_Functions_Symboltable = New_Symboltable;

      // xPascalliTranslator is called
      backend = new xPascalliTranslator(TopNode, File); // corrected
    }
    else
    {
      message_abnormal_compilation();
      //free_parstree(); weil segfault FIXME
      return 1;
    }
  }
  catch(xBaseException & x)
  {
    char msg[10000];		// fixme design error in xbaseexception

    x.GetDescription(msg);
    cout << msg << "\n\n\n";
    message_abnormal_compilation();
    return 1;
  }
  catch(...)
  {
    cout << "unknnown exception caught\n\n\n\n";
    message_abnormal_compilation();
    return 1;
  };
  message_compilation_finished();
  //free_parstree();FIXME
  return 0;
};




void free_parstree()
{
  // cout << "Freeing parse-tree..." <<endl;

  // the parse-tree is freed

  // delete(TopNode);

  for (TIndex i=0 ; i<~Free_Nodes; i++)
    {
      delete(Free_Nodes[i]);
    }
  
  // cout <<"OK!" <<endl;

  // cout << "Freeing identifiers..." <<endl;
  
  for (TIndex i=0 ; i<~Free_Identifiers; i++)
    {
      delete(Free_Identifiers[i]);
    }
  
  // cout <<"OK!" <<endl;
  
  
  // cout <<"Freeing Arglists..." <<endl;
  
  for (TIndex i=0 ; i<~Free_IdentifierLists; i++)
    {
      delete( Free_IdentifierLists[i]);
    }
  
  // cout <<"OK" <<endl;
  
  
  // cout <<"Freeing Arglists (second part) " <<endl;
  
  for (TIndex i=0 ; i<~Free_ExpressionLists ; i++)
    {
      delete(Free_ExpressionLists[i]);
    }
  
  // cout <<"OK" <<endl;
  
  // cout <<"Freeing Functionlists..." <<endl;
  
  for (TIndex i=0 ; i<~Free_FunctionLists ; i++)
    {
      delete(Free_FunctionLists[i]);
    }
  
  // cout <<"OK" <<endl;
  
  
  // cout <<"Freeing Commandlists..." <<endl;
  
  for (TIndex i=0 ; i<~Free_CommandLists ; i++)
    {
      delete(Free_CommandLists[i]);
    }
  
  // cout <<"OK" <<endl;
  
}


TBool used_but_not_declared()
{
  TIndex      index;
  xIdentifier *declared_function;
 
  for (TIndex i=0 ; i<~Used_Functions_Symboltable ; i++)
    {
      if (!(Declared_Functions_Symboltable.Contains(Used_Functions_Symboltable[i])))
	{
	  cout << "Error: Function " << Used_Functions_Symboltable[i]->Name <<" used but not declared!!!" << endl;
	  return TRUE;
	}
      else	
	{
	  // getting the function
	  index=Declared_Functions_Symboltable+=Used_Functions_Symboltable[i];
	  declared_function=Declared_Functions_Symboltable[index];
	  if ((declared_function->Number_Of_Arguments) != (Used_Functions_Symboltable[i]->Number_Of_Arguments))
	    {
	      cout <<"Number of parameters in call to function " <<Used_Functions_Symboltable[i]->Name << " does not match declaration!!!" << endl;
		return TRUE;		
	    }
	  
	}
    }
  return FALSE;
}

void message_abnormal_compilation()
{
  struct tm *pTime;
  time_t t;
  
  t=time(NULL);
  pTime=localtime(&t);
  
  cout << "Compilation exited abnormally at " << asctime(pTime);
}

void message_compilation_finished()
{
struct tm *pTime;
time_t t;

t=time(NULL);
pTime=localtime(&t);

 cout << "Compilation finished at " << asctime(pTime);
}
