/*
  plic memmanager
  Copyright (C) 1999  Achim Kern

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "plic_MemManager3.h"
#include <fstream.h>
#include <streambuf.h>




xPLI_MemManager3::xPLI_MemManager3()
{
  Symboltable += new xAddressData("_f", "f");
  //  ofstream DebugFile("_Vars.log", ios::trunc); 
};




xString xPLI_MemManager3::
getAddress(const xIdentifier & variable)
{
  TIndex i = 0;
  xString debug;

  while ((i < ~Symboltable) && (Symboltable[i]->Name != variable.Name))
  {
    i++;
  };
  if (i == ~Symboltable)
  {
    if (variable.Name[0] == '_')
    {
      Symboltable += new xAddressData(variable.Name, variable.Name(1, ~(variable.Name) - 1));
    }
    else 
    {
      Symboltable += new xAddressData(variable.Name, "a" + xString::Unsigned2Dec(~Symboltable));
    };
    //    ofstream DebugFile("_Vars.log", ios::app);
    //    DebugFile << Symboltable[i]->Name << " -> " << Symboltable[i]->Address << endl;
  };
  return Symboltable[i]->Address;
};




xVariable* xPLI_MemManager3::
New()
{
  xString Address;

  LastTmpVar += 1;
  return (new xVariable("t3" + xString::Unsigned2Dec(LastTmpVar)));
};
