
/*  A Bison parser, made from pascallino_parser.yy
    by GNU Bison version 1.28  */

#define YYBISON 1  /* Identify Bison output.  */

#define	FUNCTION	257
#define	BEG	258
#define	END	259
#define	IDENTIFIER	260
#define	CONSTANT	261
#define	WHILE	262
#define	DO	263

#line 28 "pascallino_parser.yy"

#include <iostream.h>
#include <time.h>
#include <stdlib.h>
#include "base.h"
#include "frontend.h"
#include "backend.h"
#include "commontype.h"
#include "xstring.h"
#include "xset.h"

int yylex();

void message_compilation_finished();

void message_abnormal_compilation();

int Status;

char* Outfile;

struct xVariableSet : public xSet<xVariable *> {
  inline TIndex operator+=(xVariable *object);
  inline void operator-=(xVariable *object);
  inline TIndex operator()(xVariable *object);
  inline TBool Contains(xVariable *object);
  inline TBool Contains(xVariable *object, TIndex &index);
};




TIndex xVariableSet::operator+=(xVariable *object)
{
  TIndex index;
  if (Contains(object, index)) return index;
  else return InternalInsert(Items, object);
}




void xVariableSet::operator-=(xVariable *object)
{
  TIndex index;
  if (Contains(object, index)) xList<xVariable *>::operator-=(index);
}




TIndex xVariableSet::operator()(xVariable *object)
{
  for (TIndex i = 0; i<Items; i++)
    if (*object == *List[i]) return i;
  throw xContainerException(ECCT_NOTFOUND);
}




TBool xVariableSet::Contains(xVariable *object)
{
  TIndex index;
  return Contains(object, index);
}




TBool xVariableSet::Contains(xVariable *object, TIndex &index)
{
  for (TIndex i = 0; i<Items; i++)
    if (*object == *List[i]) {
      index = i;
      return TRUE;
    }
  return FALSE;
}




xVariableSet Variable_Symboltable;;
xVariableSet Array_Symboltable;

xList<xNode *> Free_List;
xList<xMemoryObject *> Free_List_2;


xVariable *Function_Name;


TIndex Number_Functions=1;
TIndex Number_Parameters=0;
TIndex Number_Arrays=0;
TIndex Number_Variables=0;


void yyerror(char *s);

void yyerror2(char *s);


#line 138 "pascallino_parser.yy"
typedef union
{
  char          *Key_word;
  char          *tIdentifier;
  char          *tConstant;
  xParameter    *tParameter;
  xCommandBlock *tCommandBlock;
  xCommand      *tCommand;
  xCondition    *tCondition;
  xExpression   *tExpression;
  xArray        *tArray;
} YYSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		51
#define	YYFLAG		-32768
#define	YYNTBASE	21

#define YYTRANSLATE(x) ((unsigned)(x) <= 263 ? yytranslate[x] : 29)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,    16,     2,     2,     2,     2,    10,
    11,     2,    17,    13,    18,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,    14,    12,     2,
    15,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
    19,     2,    20,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
     7,     8,     9
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,    10,    14,    16,    20,    22,    23,    27,    32,
    37,    42,    47,    52,    58,    64,    70,    72
};

static const short yyrhs[] = {    -1,
     3,     6,    22,    10,    24,    11,    12,    25,     0,    23,
    12,    25,     0,    25,     0,    24,    13,     6,     0,     6,
     0,     0,     4,    23,     5,     0,     8,    26,     9,    25,
     0,     6,    14,    15,     7,     0,     6,    14,    15,    27,
     0,     6,    14,    15,    28,     0,    28,    14,    15,     6,
     0,    10,     6,    16,     7,    11,     0,    10,     6,    17,
     6,    11,     0,    10,     6,    18,     6,    11,     0,     6,
     0,     6,    19,     6,    20,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   171,   189,   266,   286,   311,   368,   424,   443,   451,   466,
   562,   640,   716,   813,   894,  1010,  1126,  1192
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","FUNCTION",
"BEG","END","IDENTIFIER","CONSTANT","WHILE","DO","'('","')'","';'","','","':'",
"'='","'#'","'+'","'-'","'['","']'","program","@1","commandblock","arglist",
"command","condition","expression","array", NULL
};
#endif

static const short yyr1[] = {     0,
    22,    21,    23,    23,    24,    24,    24,    25,    25,    25,
    25,    25,    25,    26,    27,    27,    27,    28
};

static const short yyr2[] = {     0,
     0,     8,     3,     1,     3,     1,     0,     3,     4,     4,
     4,     4,     4,     5,     5,     5,     1,     4
};

static const short yydefact[] = {     0,
     0,     1,     0,     7,     6,     0,     0,     0,     0,     5,
     0,     0,     0,     2,     0,     0,     4,     0,     0,     0,
     0,     0,     8,     0,     0,     0,     0,     0,     0,     3,
    17,    10,     0,    11,    12,    18,     0,     9,    13,     0,
     0,     0,     0,    14,     0,     0,    15,    16,     0,     0,
     0
};

static const short yydefgoto[] = {    49,
     3,    16,     6,    14,    21,    34,    15
};

static const short yypact[] = {     8,
     9,-32768,    10,    13,-32768,     5,    11,    15,     6,-32768,
     6,   -12,    12,-32768,    14,    -4,-32768,    16,    18,    19,
    17,    20,-32768,     6,    -1,     7,    21,     6,    23,-32768,
    22,-32768,    24,-32768,-32768,-32768,    25,-32768,-32768,   -14,
    27,    28,    30,-32768,    29,    31,-32768,-32768,    33,    39,
-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,-32768,   -11,-32768,-32768,    26
};


#define	YYLAST		51


static const short yytable[] = {    17,
    23,    18,    42,    43,    31,    32,    19,    24,    33,    11,
     1,    12,    30,    13,     2,     7,    38,     8,     5,     4,
    10,    20,     9,    26,    27,    28,    36,    22,    39,    40,
    25,    41,    50,    45,    29,    46,    37,    44,    51,    47,
    19,    48,     0,     0,     0,     0,     0,     0,     0,     0,
    35
};

static const short yycheck[] = {    11,
     5,    14,    17,    18,     6,     7,    19,    12,    10,     4,
     3,     6,    24,     8,     6,    11,    28,    13,     6,    10,
     6,    10,    12,     6,     6,     9,    20,    14,     6,     6,
    15,     7,     0,     6,    15,     6,    16,    11,     0,    11,
    19,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    25
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/misc/bison.simple"
/* This file comes from bison-1.28.  */

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

#ifndef YYSTACK_USE_ALLOCA
#ifdef alloca
#define YYSTACK_USE_ALLOCA
#else /* alloca not defined */
#ifdef __GNUC__
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
#define YYSTACK_USE_ALLOCA
#include <alloca.h>
#else /* not sparc */
/* We think this test detects Watcom and Microsoft C.  */
/* This used to test MSDOS, but that is a bad idea
   since that symbol is in the user namespace.  */
#if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
#if 0 /* No need for malloc.h, which pollutes the namespace;
	 instead, just don't use alloca.  */
#include <malloc.h>
#endif
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
/* I don't know what this was needed for, but it pollutes the namespace.
   So I turned it off.   rms, 2 May 1997.  */
/* #include <malloc.h>  */
 #pragma alloca
#define YYSTACK_USE_ALLOCA
#else /* not MSDOS, or __TURBOC__, or _AIX */
#if 0
#ifdef __hpux /* haible@ilog.fr says this works for HPUX 9.05 and up,
		 and on HPUX 10.  Eventually we can turn this on.  */
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#endif /* __hpux */
#endif
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc */
#endif /* not GNU C */
#endif /* alloca not defined */
#endif /* YYSTACK_USE_ALLOCA not defined */

#ifdef YYSTACK_USE_ALLOCA
#define YYSTACK_ALLOC alloca
#else
#define YYSTACK_ALLOC malloc
#endif

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Define __yy_memcpy.  Note that the size argument
   should be passed with type unsigned int, because that is what the non-GCC
   definitions require.  With GCC, __builtin_memcpy takes an arg
   of type size_t, but it can handle unsigned int.  */

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     unsigned int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, unsigned int count)
{
  register char *t = to;
  register char *f = from;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 217 "/usr/share/misc/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
#ifdef YYPARSE_PARAM
int yyparse (void *);
#else
int yyparse (void);
#endif
#endif

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;
  int yyfree_stacks = 0;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  if (yyfree_stacks)
	    {
	      free (yyss);
	      free (yyvs);
#ifdef YYLSP_NEEDED
	      free (yyls);
#endif
	    }
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
#ifndef YYSTACK_USE_ALLOCA
      yyfree_stacks = 1;
#endif
      yyss = (short *) YYSTACK_ALLOC (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1,
		   size * (unsigned int) sizeof (*yyssp));
      yyvs = (YYSTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1,
		   size * (unsigned int) sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1,
		   size * (unsigned int) sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 1:
#line 172 "pascallino_parser.yy"
{
	   xVariable *identifier;
	   xString   symbol;


	   // a xString is created out of IDENTIFIER
	   symbol=xString(yyvsp[0].tIdentifier);
	   
	   // a xVariable is created
	   identifier=new xVariable(symbol);
	   identifier->Type=Function;

	   // the global Function_Name is set!
	   Function_Name=identifier;

	 ;
    break;}
case 2:
#line 190 "pascallino_parser.yy"
{
	   TIndex      index;
	   xString     file;
	   xFunction   *function;
	   xVariable   *identifier;

	   identifier=Function_Name;

	   // checking if the identifier is already in the Symboltable
	   if (Variable_Symboltable.Contains(identifier))
	   // the identifier is already in the Symboltable
	   {
	     // the identifier is inserted into the symboltable in order
	     // to obtain the correct index
	     index=Variable_Symboltable+=identifier;

	     // the value of identifier is corrected
	     identifier=Variable_Symboltable[index];
	   }
	   else
	   // the identifier is not in the Symboltable
	   {
	     yyerror2("No return value!");
	     return 1;
	   }
	   
	   // cout << "function " << symbol <<" parsed!!!" <<endl;

	   // the xFunction to be compiled is created
	   function=new xFunction(identifier,yyvsp[-3].tParameter,yyvsp[0].tCommand);

     	   // function is inserted into the Free_List
           Free_List+=function;

           // a xString is created out the Outfile
	   file=xString(Outfile);

	   // cout << "xvisitor is called with:" <<endl;
	   // cout << "Number of Parameters: " << Number_Parameters <<endl;
	   // cout << "Number of Arrays    : " << Number_Arrays     <<endl;
	   // cout << "Number of Variables : " << Number_Variables  <<endl;
	   // cout << "Function            : " << symbol            <<endl;
	   // cout << "File                : " << file              <<endl;

	   // the parse-tree is printed
	   // function->print();

	   // the xVisitor is created
	   xPascallinoVisitor compiler(Number_Parameters,
	   	  	               Number_Variables,
	    		               Number_Arrays,
	   		  	       function,
	   		 	       file);

           // all the nodes are destructed!!!

	   // cout << "Cleaning memory!!!\n";

	   for (TIndex index=0; index<~Free_List; index++)
	   {
	     delete(Free_List[index]);	
	   }

	   // cout << "Free_List OK!";

	   for (TIndex index=0; index<~Free_List_2; index++)
	   {
	     delete(Free_List_2[index]);
	   }

	   // cout << "Free_List_2 OK!";

	   // this rule raises only normal syntax-error!!!
	 ;
    break;}
case 3:
#line 267 "pascallino_parser.yy"
{
		TIndex index;
		xCommandBlock *commandblock;
		xCommandList  *commandlist;

		commandlist=yyvsp[-2].tCommandBlock->CommandList;

		// the command is inserted into the commandlist
		index=(*commandlist)+=yyvsp[0].tCommand;

		// the commandblock to be returned is created
		commandblock=yyvsp[-2].tCommandBlock;

		// cout << "Commandblock parsed!\n";

		yyval.tCommandBlock=commandblock;

		// this rule raises only normal syntax-error!!!
	      ;
    break;}
case 4:
#line 287 "pascallino_parser.yy"
{
		TIndex index;
		xCommandBlock *commandblock;
		xCommandList  *commandlist;

                // the commandlist is created
                commandlist=new xCommandList;

		// the command is inserted into the commandlist
		index=(*commandlist)+=yyvsp[0].tCommand;

		// a xCommandblock is created out of the commandlist
		commandblock=new xCommandBlock(commandlist);

		// commanblock is inserted into the Free_List
		Free_List+=commandblock;

		// the commandblock is returned
		yyval.tCommandBlock=commandblock;

		// this rule raises only normal syntax-error!!!
	      ;
    break;}
case 5:
#line 312 "pascallino_parser.yy"
{
	   TIndex      index;
	   xString     symbol;
	   xVariable   *variable;
	   xParameter  *parameter;
	   xArgList    *arglist;

	   // a xString is created out of identifier
	   symbol=xString(yyvsp[0].tIdentifier);

	   // a xVariable is created
	   variable=new xVariable(symbol);

           Free_List+=variable;

	   // checking whether the parameter is already in the Symboltable
	   if (Variable_Symboltable.Contains(variable))
	   // the parameter is in the Symboltable!
	   {
	     yyerror("Formal parameter used before!!!");
	     return 1;;
	   }
	   else
	   // the parameter is not in the Symboltable!
	   {
	     // the number of parameters is increased
	     Number_Parameters++;

	     // a new xMemoryObject is created
	     variable->Address=new xMemoryObject();

	     Free_List_2+=variable->Address;

	     // cout << "Formal parameter " << symbol << " declared!\n";
	     // cout << "xVariable pointing to new MemoryObject created!\n";

	     // the parameter is inserted into the Symboltable
	     index=Variable_Symboltable+=variable;

	     // using already created ArgList
	     arglist=yyvsp[-2].tParameter->ArgList;
	
	     // the parameter is inserted into the argList;
	     index=(*arglist)+=variable;

	     // the xParameter to be returned is created
	     parameter=yyvsp[-2].tParameter;

	     // cout<< "Arglist parsed!\n"; 
	
	     yyval.tParameter=parameter;
	   }
	   // this rule raises an error if one of the parameters
	   // is already in the Symboltable!!!
	 ;
    break;}
case 6:
#line 369 "pascallino_parser.yy"
{
	   TIndex      index;
	   xString     symbol;
	   xVariable   *variable;
	   xParameter  *parameter;
	   xArgList    *arglist;

	   // a xString is created out of the IDENTIFIER
	   symbol=xString(yyvsp[0].tIdentifier);

	   // a xVariable is created
	   variable=new xVariable(symbol);

           Free_List+=variable;

	   // checking whether the parameter is already in the Symboltable
	   if (Variable_Symboltable.Contains(variable))
	   // the parameter is in the Symboltable!
	   {
	     yyerror("Formal parameter used before");
	     return 1;
	   }
	   else
	   // the parameter is not in the Symboltable!
	   {
	     // the number of parameters is increased
	     Number_Parameters++;

	     variable->Address=new xMemoryObject();

	     Free_List_2+=variable->Address;

	     // cout << "Formal parameter " << symbol << " declared!\n";
	     // cout << "xVariable pointing to new MemoryObject created!\n";

	     // the parameter is inserted into the Symboltable
	     index=Variable_Symboltable+=variable;

	     // a xArgList is created
	     arglist=new xArgList;

	     // the parameter is inserted into the argList
	     index=(*arglist)+=variable;

	     // a xArglist is created to be returned
	     parameter=new xParameter(arglist);
		
	     Free_List+=parameter;

	     yyval.tParameter=parameter;
	   }

	   // this rule raises an error if one of the parameters
	   // is already in the Symboltable!!!
	 ;
    break;}
case 7:
#line 425 "pascallino_parser.yy"
{
	   xParameter  *parameter;
	   xArgList    *arglist;


	   // a xArgList is created
	   arglist=new xArgList;


	   // a xArglist is created to be returned
	   parameter=new xParameter(arglist);
		
	   Free_List+=parameter;

	   yyval.tParameter=parameter;		
	;
    break;}
case 8:
#line 444 "pascallino_parser.yy"
{
	     // cout << "BEGIN...END-Commandblock parsed!\n";

	     // the commandblock is returned
	      yyval.tCommand=yyvsp[-1].tCommandBlock;
	     // this rule raises normal syntax-error!!!
	   ;
    break;}
case 9:
#line 452 "pascallino_parser.yy"
{
	   xWhile *While;

	   // a xWhile is created and returned
	   While=new xWhile(yyvsp[-2].tCondition,yyvsp[0].tCommand);

	   Free_List+=While;

	   // cout << "While parsed!\n";

	   yyval.tCommand=While;

	     // this rule raises normal syntax-error!!!
	   ;
    break;}
case 10:
#line 467 "pascallino_parser.yy"
{
	     TIndex index;
	     xString symbol;
	     xString constant;
	     xVariable *variable;
	     xConstant *source;
	     xAssignment *assignment;

	     // a xString is created out of the IDENTIFFIER
	     symbol=xString(yyvsp[-3].tIdentifier);

	     // a xVariable is created
	     variable=new xVariable(symbol);

             Free_List+=variable;

	     // checking whether the variable is in the Array_Symboltable
	     if (Array_Symboltable.Contains(variable))
	     // the variable is in the Array_Symboltable!
	     {
	       yyerror("Variable used as array before!!!");
	       return 1;
	     }
	     else
	     // the variable is not in the Array_Symboltable!
	     {
	       // checking if the variable is already in the Symboltable
	       if (Variable_Symboltable.Contains(variable))
	       // the variable is already in the Symboltable
	       {
		 // the variable is inserted into the Symboltable
		 // in order to obtain the correct index
		 index=Variable_Symboltable+=variable;

		 // the value of variable is corrected
		 variable=Variable_Symboltable[index];

	         // cout <<"Old variable " << symbol << " used!\n";
		 // cout <<"No new MemoryObject created!\n";

		 // a xString is created out of CONSTANT
		 constant=xString(yyvsp[0].tConstant);

		 // a xConstant is created
		 source=new xConstant(constant);

 		 Free_List+=source;

		 // a xAssignment is created and returned
		 assignment=new xAssignment(variable,source);

		 // cout <<"Constant-assignment parsed!";

		 Free_List+=assignment;

		 yyval.tCommand=assignment;
	       }
	       else
	       // the variable is not in the Symboltable
	       {
		 // the number of variables is increased
		 Number_Variables++;

		 variable->Address=new xMemoryObject();

		 Free_List_2+=variable->Address;

		 // cout << "New variable " << symbol <<" declared!\n";
		 // cout << "xVariable pointing to new MemoryObject created!\n";

		 // the variable is inserted into the Symboltable
		 index=Variable_Symboltable+=variable;

		 // a xString is created out of CONSTANT
		 constant=xString(yyvsp[0].tConstant);

		 // a xConstant is created
		 source=new xConstant(constant);

 		 Free_List+=source;

		 // a xAssignment is created and returned
		 assignment=new xAssignment(variable,source);

		 // cout <<"Constant-assignment parsed!\n";

		 Free_List+=assignment;

		 yyval.tCommand=assignment;
	       }
	     }

	     // this rule raises an error if the variable has been used
	     // as an array before!!!
	   ;
    break;}
case 11:
#line 563 "pascallino_parser.yy"
{
	     TIndex      index;
	     xString     symbol;
	     xVariable   *variable;
	     xAssignment *assignment;

	     // a xString is created out of IDENTIFIER
	     symbol=xString(yyvsp[-3].tIdentifier);

	     // a xVariable is created
	     variable=new xVariable(symbol);

	     Free_List+=variable;

	     // checking whether the variable is in the Array_Symboltable
	     if (Array_Symboltable.Contains(variable))
	     // the variable is in the Array_Symboltable!
	     {
	       yyerror("Variable used as array before!!!");
	       return 1;
	     }
	     else
	     // the variable is not in the Array_Symboltable!
	     {
	       // checking if the variable is in the Symboltable
	       if (Variable_Symboltable.Contains(variable))
	       // the variable is in the Symboltable
	       {
		 // the variable is inserted into the Symboltable
		 // in order to obtain the correct index
		 index=Variable_Symboltable+=variable;

		 // the value of variable is corrected
		 variable=Variable_Symboltable[index];

		 // cout <<"Old variable " << symbol << " used!\n";
		 // cout <<"No new MemoryObject created!\n";

		 // a xAssignment is created and returned
		 assignment=new xAssignment(variable,yyvsp[0].tExpression);

		 Free_List+=assignment;

	 	 // cout << "Expression-assginment parsed!\n";

		 yyval.tCommand=assignment;
	       }
	       else
	       // the variable is not in the Symboltable
	       {
		 // the number of variables is increased
		 Number_Variables++;

		 variable->Address=new xMemoryObject;

		 Free_List_2+=variable->Address;

		 // cout <<"New variable " << symbol << " declared!\n";
		 // cout <<"xVariable pointing to new MemoryObject created!\n";

		 // the variable is inserted into the Symboltable
		 index=Variable_Symboltable+=variable;

		 // a xAssignment is created and returned
		 assignment=new xAssignment(variable,yyvsp[0].tExpression);

		 Free_List+=assignment;

		 // cout << "Expression-assignment parsed!\n";

		 yyval.tCommand=assignment;
	       }
	     }

	     // this rule raises an error if the variable has been used
	     // as an array before!!!
	   ;
    break;}
case 12:
#line 641 "pascallino_parser.yy"
{
	     TIndex      index;
	     xString     symbol;
	     xVariable   *variable;
	     xAssignment *assignment;

	     // a xString is created out of IDENTIFIER
	     symbol=xString(yyvsp[-3].tIdentifier);

	     // a xVariable is created
	     variable=new xVariable(symbol);

	     Free_List+=variable;

	     // checking whether the variable is in the Array_Symboltable
	     if (Array_Symboltable.Contains(variable))
	     // the variable is in the Array_Symboltable!
	     {
	       yyerror("Variable used as array before!!!");
	       return 1; 
	     }
	     else
	     // the variable is not in the Array_Symboltable!
	     {
	       // checking if the variable is already in the Symboltable
	       if (Variable_Symboltable.Contains(variable))
	       // the variable is already in the Symboltable
	       {
		 // the variable is inserted into the Symboltable
		 // in order to obtain the correct index
		 index=Variable_Symboltable+=variable;

		 // the value of variable is corrected
		 variable=Variable_Symboltable[index];

		 // cout <<"Old variable " << symbol << " used!\n";
		 // cout <<"No new MemoryObject created!\n";

		 // a xAssignment is created and returned
		 assignment=new xAssignment(variable,yyvsp[0].tArray);

		 Free_List+=assignment;

		 yyval.tCommand=assignment;
	       }
	       else
	       // the variable is not in the Symboltable
	       {
		 // the number of variables is increased
		 Number_Variables++;

		 variable->Address=new xMemoryObject();
		 
		 Free_List_2+=variable->Address;

		 // cout <<"New variable " << symbol << " declared!\n";
		 // cout <<"xVariable pointing to new MemoryObject created!\n"; 

		 // the variable is inserted into the Symboltable
		 index=Variable_Symboltable+=variable;

		 // a xAssignment is created and returned
		 assignment=new xAssignment(variable,yyvsp[0].tArray);

		 Free_List+=assignment;

		 // cout <<"Array_assignment parsed!\n";

		 yyval.tCommand=assignment;
	       }
	     }

	     // this rule raises an error if the variable has been used
	     // as an array before!!!
	   ;
    break;}
case 13:
#line 717 "pascallino_parser.yy"
{
	     TIndex      index;
	     xString     symbol;
	     xVariable   *variable;
	     xAssignment *assignment;

	     // a xString is created out of IDENTIFIER
	     symbol=xString(yyvsp[0].tIdentifier);

	     // a xVariable is created
	     variable=new xVariable(symbol);

	     Free_List+=variable;

	     // checking if one of the identifiers is the function-identifier
	     if ((*variable)==(*Function_Name))
	       {
		 yyerror("function-identifier used at right side of an assignment!!!");
		 return 1;
	       }
	     


	     // checking whether the variable is in the Array_Symboltable
	     if (Array_Symboltable.Contains(variable))
	     // the variable is in the Array_Symboltable
	     {
	       yyerror("Variable used as array before!!!");
	       return 1;
	     }
	     else
	     // the variable is not in the Array_Symboltable
	     {              
	       // checking if the variable is in the Symboltable
	       if (Variable_Symboltable.Contains(variable))
	       // the variable is in the Symboltable
	       {
		 // the variable is inserted into the Symboltable
		 // in order to obtain the correct index
		 index=Variable_Symboltable+=variable;

		 // the value of variable is corrected
		 variable=Variable_Symboltable[index];

                 // checking if the variable is the function-identifier
		 if (variable->Type==Function)
		 // the  variable is the function-identifier
		 {
		   yyerror("function-identifier used as an assignable expression!!!");
		   return 1;
		 }

		 // cout <<"Old variable " << symbol << " used!\n";
		 // cout <<"No new MemoryObject created!\n";

		 // the xAssignment is created and returned
		 assignment=new xAssignment(yyvsp[-3].tArray,variable);

		 Free_List+=assignment;

		 // cout <<"Array-Identifier-assignment parsed!\n";

		 yyval.tCommand=assignment;
	       }
	       else
	       // the variable is not in the Symboltable
	       {
		 // the number of variables is increased
		 Number_Variables++;

		 variable->Address=new xMemoryObject();
		 
		 Free_List_2+=variable->Address;

		 // cout <<"New variable " << symbol << " declared!\n";
		 // cout <<"xVariable pointing to new MemoryObject created!\n"; 	

		 // the variable is inserted into the Symboltable
		 index=Variable_Symboltable+=variable;

		 // the xAssignment is created and returned
		 assignment=new xAssignment(yyvsp[-3].tArray,variable);

		 Free_List+=assignment;

		 // cout <<"Array-Identifier-assignment parsed!\n";

		 yyval.tCommand=assignment;
	       }
	     }

	     // this rule raises an error if the variable has been used
	     // as an array before!!!
	   ;
    break;}
case 14:
#line 814 "pascallino_parser.yy"
{
	     TIndex      index;
	     xString     symbol;
	     xVariable   *variable;
	     xCondition  *condition;

	     // a xString is created out of IDENTIFIER
	     symbol=xString(yyvsp[-3].tIdentifier);

	     // a xVariable is created
	     variable=new xVariable(symbol);

	     Free_List+=variable;
		

	     // checking whether the variable is in the Array_Symboltable
	     if (Array_Symboltable.Contains(variable))
	     // the variable is in the Array_Symboltable
	     {
	       yyerror("Variable used as array before!!!");
	       return 1;
	     }
	     else
	     // the variable is not in the Array_Symboltable
	     {
	       // checking if the variable is in the Symboltable
	       if (Variable_Symboltable.Contains(variable))
	       // the variable is already in the Symboltable
	       {
		 // the variable is inserted into the Symboltable
		 // in order to obtain the correct index
		 index=Variable_Symboltable+=variable;

		 // the value of variable is corrected
		 variable=Variable_Symboltable[index];

		 // cout <<"Old variable " << symbol << " used!\n";
		 // cout <<"No new MemoryObject created!\n"; 

		 // a xCondition is created and returned
		 condition=new xCondition(variable);
		
		 Free_List+=condition;

		 // cout << "Condition parsed!\n";

		 yyval.tCondition=condition;
	       }
	       else
	       // the variable is not in the Symboltable
	       {
		 // the number of variables is increased
		 Number_Variables++;

		 variable->Address=new xMemoryObject;

		 Free_List_2+=variable->Address;

		 // cout <<"New variable " << symbol << " declared!\n";
		 // cout <<"xVariable pointing to new MemoryObject created!\n";

		 // the variable is inserted into the Symboltable
		 index=Variable_Symboltable+=variable;

		 // a xCondition is created and returned
		 condition=new xCondition(variable);

		 Free_List+=condition;

		 // cout << "Condition parsed!\n";

		 yyval.tCondition=condition;
	       }
	     }

	     // this rule raises an error if the variable has been used
	     // as an array before!!!
	   ;
    break;}
case 15:
#line 896 "pascallino_parser.yy"
{
	      TIndex    index;
	      xString   symbol1;
	      xString   symbol2;
	      xVariable *variable1;
	      xVariable *variable2;
	      xSum      *sum;

	      // the xString's are created
	      symbol1=xString(yyvsp[-3].tIdentifier);
	      symbol2=xString(yyvsp[-1].tIdentifier);

	      // the xVariable's are created
	      variable1=new xVariable(symbol1);

	      Free_List+=variable1;

	      variable2=new xVariable(symbol2);

	      Free_List+=variable2;

	      // checking if one of the identifiers is the function-identifier
	      if (((*variable1)==(*Function_Name)) || ((*variable2)==(*Function_Name)))
		{
		  yyerror("function-identifier used at right side of an assignment!");
		  return 1;
		}


	      // checking if one of the variables is in the Array_Symboltable
	      if ( (Array_Symboltable.Contains(variable1))
		 ||(Array_Symboltable.Contains(variable2)))
	      // one of them is in the Array_Symboltable
	      {
		yyerror("Variable used as an array before!!!");
	 	return 1;
	      }
	      else
	      // none of them is in the Array_Symboltable
	      {
		// checking if variable1 is in the Symboltable
		if (Variable_Symboltable.Contains(variable1))
		// the variable1 is in the Symboltable
		{
		  // the variable1 is inserted into the Symboltable
		  // in order to obain the correct index
		  index=Variable_Symboltable+=variable1;

		  // the value of the variable1 is corrected
		  variable1=Variable_Symboltable[index];

		  // cout <<"Old variable " << symbol1 << " used!\n";
		  // cout <<"No new MemoryObject created!\n"; 
		}
		else
		// the variable1 is not in the Symboltable
		{
		  // the number of variables is increased
		  Number_Variables++;

		  variable1->Address=new xMemoryObject;

		  Free_List_2+=variable1->Address;

		  // cout <<"New variable " << symbol1 << " declared!\n";
		  // cout <<"xVariable pointing to new MemoryObject created!\n";

		  // the variable1 is inserted into the Symboltable
		  index=Variable_Symboltable+=variable1;
		}

		// checking if variable2 is in the Symboltable
		if (Variable_Symboltable.Contains(variable2))
		// the variable2 is in the Symboltable
		{
		  // the variable2 is inserted into the Symboltable
		  // in order to obain the correct index
		  index=Variable_Symboltable+=variable2;

		  // the value of the variable1 is corrected
		  variable2=Variable_Symboltable[index];

		  // cout <<"Old variable " << symbol2 << " used!\n";
		  // cout <<"No new MemoryObject created!\n"; 
		}
		else
		// the variable2 is not in the Symboltable
		{
		  // the number of variables is increased
		  Number_Variables++;

		  variable2->Address=new xMemoryObject();

		  Free_List_2+=variable2->Address;

		  // cout <<"New variable " << symbol2 << " declared!\n";
		  // cout <<"xVariable pointing to new MemoryObject created!\n";

		  // the variable2 is inserted into the Symboltable
		  index=Variable_Symboltable+=variable2;
		}
		// a xSum is created and returned
		sum=new xSum(variable1,variable2);

		Free_List+=sum;

		// cout <<"+expression parsed!\n";

		yyval.tExpression=sum;
	      }

	      // this rule raises an error if one of the two variables
	      // has been used as an array before!!!
	    ;
    break;}
case 16:
#line 1011 "pascallino_parser.yy"
{
	      TIndex    index;
	      xString   symbol1;
	      xString   symbol2;
	      xVariable *variable1;
	      xVariable *variable2;
	      xDiff     *diff;

	      // the xString's are created
	      symbol1=xString(yyvsp[-3].tIdentifier);
	      symbol2=xString(yyvsp[-1].tIdentifier);

	      // the xVariable's are created
	      variable1=new xVariable(symbol1);

	      Free_List+=variable1;

	      variable2=new xVariable(symbol2);

	      Free_List+=variable2;

	      
	      // checking if one of the identifiers is the function-identifier
	      if (((*variable1)==(*Function_Name)) || ((*variable2)==(*Function_Name)))
		{
		  yyerror("function-identifier used at right side of an assignment!");
		  return 1;
		}

	      // checking if one of the variables is in the Array_Symboltable
	      if ( (Array_Symboltable.Contains(variable1))
		 ||(Array_Symboltable.Contains(variable2)))
	      // one of them is in the Array_Symboltable
	      {
		yyerror("Variable used as an array before!!!");
		return 1;
	      }
	      else
	      // none of them is in the Array_Symboltable
	      {
		// checking if variable1 is in the Symboltable
		if (Variable_Symboltable.Contains(variable1))
		// the variable1 is in the Symboltable
		{
		  // the variable1 is inserted into the Symboltable
		  // in order to obain the correct index
		  index=Variable_Symboltable+=variable1;

		  // the value of the variable1 is corrected
		  variable1=Variable_Symboltable[index];

		  // cout <<"Old variable " << symbol1 << " used!\n";
 		  // cout <<"No new MemoryObject created!\n";
		}
		else
		// the variable1 is not in the Symboltable
		{
		  // the number of variables is increased
		  Number_Variables++;

		  variable1->Address=new xMemoryObject();

		  Free_List_2+=variable1->Address;

		  // cout <<"New variable " << symbol1 << " declared!\n";
		  // cout <<"xVariable pointing to new MemoryObject created!\n"; 

		  // the variable1 is inserted into the Symboltable
		  index=Variable_Symboltable+=variable1;
		}

		// checking if variable2 is in the Symboltable
		if (Variable_Symboltable.Contains(variable2))
		// the variable2 is in the Symboltable
		{
		  // the variable2 is inserted into the Symboltable
		  // in order to obain the correct index
		  index=Variable_Symboltable+=variable2;

		  // the value of the variable1 is corrected
		  variable2=Variable_Symboltable[index];

		  // cout <<"Old variable " << symbol2 << " used!\n";
		  // cout <<"No new MemoryObject created!\n";
		}
		else
		// the variable2 is not in the Symboltable
		{
		  // the number of variables is increased
		  Number_Variables++;

		  variable2->Address=new xMemoryObject();

		  Free_List_2+=variable2->Address;

		  // cout <<"New variable " << symbol2 << " declared!\n";
		  // cout <<"xVariable pointing to new MemoryObject created!\n"; 

		  // the variable2 is inserted into the Symboltable
		  index=Variable_Symboltable+=variable2;
		}
		// a xSum is created and returned
		diff=new xDiff(variable1,variable2);

		Free_List+=diff;

		// cout <<"-expression parsed!\n";

		yyval.tExpression=diff;

	      }

	      // this rule raises an error if one of the two variables
	      // has been used as an array before!!
	    ;
    break;}
case 17:
#line 1127 "pascallino_parser.yy"
{
	      xVariable  *identifier;
	      xString    symbol;
	      TIndex     index;
	      
	      // a xString is created out of IDENTIFIER
	      symbol= xString(yyvsp[0].tIdentifier);

	      // a xVariable is created out of IDENTIFIER
	      identifier=new xVariable(symbol);
	      
	      //checking if the identifieris in the Array_Symboltable
	      if (Array_Symboltable.Contains(identifier))
		{
		  yyerror("Variable used as an array before!!!");
		}
	      
	      // checking ih the identifier is the function_identifier
	      if ((*identifier)==(*Function_Name))
		{
		  yyerror("function-identifier used at right side of an assignment!");
		  return 1;
		}

	      // the identifier is inserted into the Free_List
	      Free_List+=identifier;
	      
	      // checking if the identifier is in the Symboltable
	      if (Variable_Symboltable.Contains(identifier))
		// the identifier is in the Symboltable
		{
		  // the identifier is inserted into the Symboltable
		  // in order to obain the correct index
		  index=Variable_Symboltable+=identifier;

		  // the value of the identifier is corrected
		  identifier=Variable_Symboltable[index];
		  
		  // cout <<"Old variable " << symbol1 << " used!\n";
		  // cout <<"No new MemoryObject created!\n"; 
		}
	      else
		// the variable1 is not in the Symboltable
		{
		  // the number of variables is increased
		  Number_Variables++;

		  identifier->Address=new xMemoryObject;
		  
		  Free_List_2+=identifier->Address;
		  
		  // cout <<"New variable " << symbol1 << " declared!\n";
		  // cout <<"xVariable pointing to new MemoryObject created!\n";
		  // the variable1 is inserted into the Symboltable
		  index=Variable_Symboltable+=identifier;
		}

	      yyval.tExpression=identifier;

	      // this rule raises an error if the identifier has been
	      // used as an array before and if the identifier is
	      // the function-identifier
	    ;
    break;}
case 18:
#line 1194 "pascallino_parser.yy"
{
	 TIndex    index;
	 xString   array_symbol;
	 xString   index_symbol;
	 xVariable *array_identifier;
	 xVariable *array_index;
	 xArray    *array;

	 // xString's are created out of the IDENTIFIERs
	 array_symbol=xString(yyvsp[-3].tIdentifier);
	 index_symbol=xString(yyvsp[-1].tIdentifier);

	 // xVariable's are created
	 array_index=     new xVariable(index_symbol);

	 Free_List+=array_index;

	 array_identifier=new xVariable(array_symbol);

	 Free_List+=array_identifier;

	 // checking whether the array_identifier is in the Symboltable
	 if (Variable_Symboltable.Contains(array_identifier))
	 // the array_identifier is in the Variable_Symboltable
	 {
	   yyerror("Array used as variable before!\n");
	   return 1;
	 }
	 else
	 // the array_identifier is not in the Variable_Symboltable
	 {
	   // checking whether the array_index is in the Array_Symboltable
	   if (Array_Symboltable.Contains(array_index))
	   // the array_index is in the Array_Symboltable
	   {
	     yyerror("Variable in index used as array before!\n");
	     return 1;
	   }
	   else
	   // the array_index is not in the Array_Symboltable
	   {
	     // checking if the array_index is already in the Symboltable
	     if (Variable_Symboltable.Contains(array_index))
	     // the array_index is already in the Symboltable
	     {
	       // the array_index is inserted into the Symboltable
	       // in order to obtain the correct index
	       index=Variable_Symboltable+=array_index;

	       // the value of array_index is corrected
	       array_index=Variable_Symboltable[index];

	       // cout <<"Old variable " << index_symbol << " used!\n";
	       // cout <<"No new MemoryObject created!\n"; 
	     }
	     else
	     // the array_index is not in the Symboltable
	     {
	       // the number of variables is increased
	       Number_Variables++;

	       array_index->Address=new xMemoryObject();

	       Free_List_2+=array_index->Address;

	       // cout <<"New variable " << index_symbol << " declared!\n";
	       // cout <<"xVariable pointing to new MemoryObject created!\n";

	       // the array_index is inserted into the Symboltable
	       index=Variable_Symboltable+=array_index;
	     }

	     // checking if the array_identifier is already in the
	     // Array_Symboltable
	     if (Array_Symboltable.Contains(array_identifier))
	     // the array_identifier is in the Array_Symboltable
	     {

		// now we insert it into the Array_Symboltable in order
                // to obtain the correct index 
		index=Array_Symboltable+=array_identifier;

 	        // the arrays have to point to the same MemoryObject	
		array_identifier->Address=(Array_Symboltable[index])->Address;

		// cout <<"Old array " << array_symbol << " used!\n";
	        // cout <<"No new MemoryObject created!\n";
		// cout <<"xArray pointing to OLD MemoryObject created!\n"; 	
	     }
	     else
	     // the array_identifier is not in the Array_Symboltable
	     {
	       // the number of arrays is increased
	       Number_Arrays++;

	       array_identifier->Address=new xMemoryObject();	

	       Free_List_2+=array_identifier->Address;

	       // cout <<"New array " << array_symbol << " declared!\n";
	       // cout <<"xArray pointing to NEW MemoryObject created!\n";
	       // cout <<"Address: " << array_identifier->Address;

	       // the array_identifier is inserted into the
	       // Array_Symboltable
	       index=Array_Symboltable+=array_identifier;
	     }
	     // the xArray is created to be returned
	     array=new xArray((array_identifier->Name),array_index);
	     array->Address=array_identifier->Address;

	     Free_List+=array;

	     yyval.tArray=array;
	   }
	 }

	 // this rule raises an error if the array_identifier has
	 // been used as a variable before and if the array_index
	 // has been used as an array before!!!
       ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 543 "/usr/share/misc/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;

 yyacceptlab:
  /* YYACCEPT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 0;

 yyabortlab:
  /* YYABORT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 1;
}
#line 1317 "pascallino_parser.yy"


extern FILE *yyin;
FILE *file;
int main(int argc, char **argv)
{
  try {
    if (argc==3)
    {
      Outfile=argv[2];
      file=fopen(argv[1], "r");
      if (file)
      {
	ungetc('\n',file);
        yyin=file;
      }		
      else
      {
	cout <<"Could not open file: " << argv[1] <<"\n";
	return 1; 
      }
	  
	}
    else
    {
      cout <<"syntax: ploc <infile> <outfile>!\n";
      return 1;	
    }
		
    do
      {
	Status=yyparse();
      }
    while(!feof(yyin));

    if (Status==1)
      {
	message_abnormal_compilation();
	return 1;
      }
    else 
      {
	message_compilation_finished();
	return 0;
      }

  }catch (xBaseException &x) {
    char msg[10000]; // fixme design error in xbaseexception
    x.GetDescription(msg);
    cout << msg << "\n\n\n";
    message_abnormal_compilation();
    return 1;
  }catch (...) {
    cout << "unknnown exception caught\n\n\n\n";
    message_abnormal_compilation();
    return 1;
  };
  
};
  


void message_abnormal_compilation()
{
  struct tm *pTime;
  time_t t;
  
  t=time(NULL);
  pTime=localtime(&t);
  
  cout << "Compilation exited abnormally at " << asctime(pTime);
}

void message_compilation_finished()
{
struct tm *pTime;
time_t t;

t=time(NULL);
pTime=localtime(&t);

 cout << "Compilation finished at " << asctime(pTime);
}



